# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.89"
name = "objectstore-client"
version = "0.1.6"
authors = ["Sentry <oss@sentry.io>"]
build = false
publish = true
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Client SDK for Objectstore, the Sentry object storage platform"
homepage = "https://getsentry.github.io/objectstore/"
readme = "README.md"
license-file = "LICENSE.md"
repository = "https://github.com/getsentry/objectstore"

[features]
default = [
    "native-tls",
    "hickory-dns",
]
hickory-dns = ["reqwest/hickory-dns"]
native-tls = ["reqwest/native-tls"]
rustls = ["reqwest/rustls"]

[lib]
name = "objectstore_client"
path = "src/lib.rs"

[[test]]
name = "e2e"
path = "tests/e2e.rs"

[dependencies.async-compression]
version = "0.4.27"
features = [
    "tokio",
    "zstd",
]

[dependencies.bytes]
version = "1.11.1"

[dependencies.futures-util]
version = "0.3.31"

[dependencies.infer]
version = "0.19.0"
default-features = false

[dependencies.jsonwebtoken]
version = "10.3.0"
features = ["rust_crypto"]

[dependencies.multer]
version = "3.1.0"

[dependencies.objectstore-types]
version = "0.1.6"

[dependencies.percent-encoding]
version = "2.3"

[dependencies.reqwest]
version = "0.13.1"
features = [
    "charset",
    "http2",
    "system-proxy",
    "json",
    "stream",
    "multipart",
]
default-features = false

[dependencies.sentry-core]
version = ">=0.41"
features = ["client"]

[dependencies.serde]
version = "1.0.219"
features = ["derive"]

[dependencies.thiserror]
version = "2.0.17"

[dependencies.tokio]
version = "1.45.0"
features = ["fs"]
default-features = false

[dependencies.tokio-util]
version = "0.7.15"
features = [
    "rt",
    "io",
]

[dependencies.url]
version = "2.5.7"

[dev-dependencies.futures-util]
version = "0.3.31"

[dev-dependencies.jsonwebtoken]
version = "10.3.0"
features = ["rust_crypto"]

[dev-dependencies.serde]
version = "1.0.219"
features = ["derive"]

[dev-dependencies.tempfile]
version = "3.20.0"

[dev-dependencies.tokio]
version = "1.47.0"
features = [
    "macros",
    "rt",
]

[dev-dependencies.zstd]
version = "0.13.3"
